Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface UserPasswordCredential

All Superinterfaces:
  ActiveCredential, Credential

All Known Subinterfaces:
  HttpBasicAuthCredential, HttpFormBasedAuthCredential, JavaMailCredential

All Known Implementing Classes:
  HttpBasicAuthCredential, HttpFormBasedAuthCredential, JavaMailCredential, UserPasswordCredential

Deprecated. Since 8.5.

    public interface UserPasswordCredential

extends ActiveCredential

Abstract inherited interface of ActiveCredential where the user's secret is a userid/password pair. Preconditions:

- The configuration data passed to the init method must define following values: KEY_CREDENTIAL_SECRET (in addition to the ones required by `ActiveCredential`)

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`int` | `getSecretType()` Deprecated. Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Initializes a new UserPassword credential.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.ActiveCredential
`isActive`

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Initializes a new UserPassword credential.

  Specified by:
    `init` in interface `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET UserPasswordCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    int getSecretType()

  Deprecated.
  Description copied from interface: `Credential`
  Returns the credential's Secret Type in terms of the constants declared in the Credential Vault Portlet Service. Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Returns:
    int Credential Secret Type Identifier
  See Also:
    `CredentialVaultService`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD